Extending Qt Creator Manual | FindExportedCppTypes

Extending Qt Creator Manual 4.5.2

# FindExportedCppTypes Class

(QmlJS::FindExportedCppTypes)

- List of all members, including inherited members

## Public Functions

| FindExportedCppTypes(const CPlusPlus::Snapshot &snapshot)
QHash<QString, QString> | contextProperties() const
QList<LanguageUtils::FakeMetaObject::ConstPtr> | exportedTypes() const
QStringList | operator()(const CPlusPlus::Document::Ptr &document)

## Static Public Members

bool | maybeExportsTypes(const CPlusPlus::Document::Ptr &document)

## Member Function Documentation

### FindExportedCppTypes::FindExportedCppTypes(const CPlusPlus::Snapshot &snapshot)

Default constructs an instance of FindExportedCppTypes.

### QHash<QString, QString> FindExportedCppTypes::contextProperties() const

### QList<LanguageUtils::FakeMetaObject::ConstPtr> FindExportedCppTypes::exportedTypes() const

### `[static]` bool FindExportedCppTypes::maybeExportsTypes(const CPlusPlus::Document::Ptr &document)

### QStringList FindExportedCppTypes::operator()(const CPlusPlus::Document::Ptr &document)